package com.gh.gamecenter.sensorsdata.provider

import android.app.Application
import com.gh.gamecenter.core.provider.ISensorsProvider
import com.gh.gamecenter.sensorsdata.SensorsHelper
import org.json.JSONObject

@com.therouter.inject.ServiceProvider
class SensorsProviderImpl : ISensorsProvider {
    override fun init(application: Application, channel: String) {
        SensorsHelper.init(application, channel)
    }

    override fun login(loginId: String) {
        SensorsHelper.login(loginId)
    }

    override fun logout(loginId: String) {
        SensorsHelper.logout(loginId)
    }

    override fun setOAID(oaid: String) {
        SensorsHelper.setOAID(oaid)
    }

    override fun trackEvent(eventName: String, vararg kv: Any) {
        SensorsHelper.trackEvent(eventName, *kv)
    }

    override fun trackEvent(eventName: String, jsonObject: JSONObject) {
        SensorsHelper.trackEvent(eventName, jsonObject)
    }

    override fun profileSet(key: String, value: String) {
        SensorsHelper.profileSet(key, value)
    }

    override fun profileAppend(key: String, value: String) {
        SensorsHelper.profileAppend(key, value)
    }
}